Next: _gfortran_caf_atomic_ref, Previous: _gfortran_caf_error_stop_str, Up: Function ABI Documentation [Contents][Index]

#### 8.2.20 `_gfortran_caf_atomic_define` — Atomic variable assignment

Description:

  Assign atomically a value to an integer or logical variable.

Syntax:

  `void _gfortran_caf_atomic_define (caf_token_t token, size_t offset, int image_index, void *value, int *stat, int type, int kind)`

Arguments:

  token | intent(in) An opaque pointer identifying the coarray.
  offset | By which amount of bytes the actual data is shifted compared to the base address of the coarray.
  image_index | The ID of the remote image; must be a positive number; zero indicates the current image when used noncoindexed.
  value | intent(in) the value to be assigned, passed by reference.
  stat | intent(out) Stores the status STAT= and may be NULL.
  type | the data type, i.e. `BT_INTEGER` (1) or `BT_LOGICAL` (2).
  kind | The kind value (only 4; always `int`)